/*	CHARACTER TYPES HEADER
 *	Copyright (c) 1997 by COSMIC Software
 */

#ifndef __CTYPE
#define __CTYPE	1

#define _BOOL @bool
#define _NEAR @near

/*	function declarations
 */
_BOOL _NEAR int isalnum(char c);
_BOOL _NEAR int isalpha(char c);
_BOOL _NEAR int iscntrl(char c);
_BOOL _NEAR int isdigit(char c);
_BOOL _NEAR int isgraph(char c);
_BOOL _NEAR int islower(char c);
_BOOL _NEAR int isprint(char c);
_BOOL _NEAR int ispunct(char c);
_BOOL _NEAR int isspace(char c);
_BOOL _NEAR int isupper(char c);
_BOOL _NEAR int isxdigit(char c);
int _NEAR tolower(char c);
int _NEAR toupper(char c);

/*	macro definitions
 */
#define iscntrl(c) ((c) < ' ' || (c) == 0x7F)
#define isdigit(c) ((c) >= '0' && (c) <= '9')
#define isgraph(c) ((c) > ' ' && (c) < 0x7F)
#define islower(c) ((c) >= 'a' && (c) <= 'z')
#define isprint(c) ((c) >= ' ' && (c) < 0x7F)
#define isspace(c) ((c) == ' ' || ((c) >= '\t' && (c) <= '\r'))
#define isupper(c) ((c) >= 'A' && (c) <= 'Z')

#endif
