/*	MATHEMATICAL FUNCTIONS HEADER
 *	Copyright(c) 1997 by COSMIC Software
 */
#ifndef __MATH__
#define __MATH__	1

#define HUGE_VAL 1E308

#define _NEAR @near

double _NEAR acos(double x);
double _NEAR asin(double x);
double _NEAR atan(double x);
double _NEAR atan2(double y, double x);
double _NEAR ceil(double x);
double _NEAR cos(double x);
double _NEAR cosh(double x);
double _NEAR exp(double x);
double _NEAR fabs(double x);
double _NEAR floor(double x);
double _NEAR fmod(double x, double y);
double _NEAR frexp(double x, int *pexp);
double _NEAR ldexp(double x, int exp);
double _NEAR log(double x);
double _NEAR log10(double x);
double _NEAR modf(double value, double *pd);
double _NEAR pow(double x, double y);
double _NEAR sin(double x);
double _NEAR sinh(double x);
double _NEAR sqrt(double x);
double _NEAR tan(double x);
double _NEAR tanh(double x);

#endif
